Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Macros | Typedefs | Enumerations | Functions
constant.h File Reference

Go to the source code of this file.

## Data Structures
struct | rb_const_entry_struct

## Macros
#define | RB_CONST_PRIVATE_P(ce) (((ce)->flag & CONST_VISIBILITY_MASK) == CONST_PRIVATE)
#define | RB_CONST_PUBLIC_P(ce) (((ce)->flag & CONST_VISIBILITY_MASK) == CONST_PUBLIC)
#define | RB_CONST_DEPRECATED_P(ce) ((ce)->flag & CONST_DEPRECATED)

## Typedefs
typedef struct rb_const_entry_struct | rb_const_entry_t

## Enumerations
enum | rb_const_flag_t { CONST_DEPRECATED = 0x100, CONST_VISIBILITY_MASK = 0xff, CONST_PUBLIC = 0x00, CONST_PRIVATE, CONST_VISIBILITY_MAX, CONST_DEPRECATED = 0x100, CONST_VISIBILITY_MASK = 0xff, CONST_PUBLIC = 0x00, CONST_PRIVATE, CONST_VISIBILITY_MAX }

## Functions
VALUE | rb_mod_private_constant (int argc, const VALUE *argv, VALUE obj)
VALUE | rb_mod_public_constant (int argc, const VALUE *argv, VALUE obj)
VALUE | rb_mod_deprecate_constant (int argc, const VALUE *argv, VALUE obj)
void | rb_free_const_table (struct rb_id_table *tbl)
VALUE | rb_public_const_get_at (VALUE klass, ID id)
VALUE | rb_public_const_get_from (VALUE klass, ID id)
int | rb_public_const_defined_from (VALUE klass, ID id)
rb_const_entry_t * | rb_const_lookup (VALUE klass, ID id)
int | rb_autoloading_value (VALUE mod, ID id, VALUE *value, rb_const_flag_t *flag)
VALUE | rb_const_source_location (VALUE, ID)
VALUE | rb_const_source_location_at (VALUE, ID)

## Macro Definition Documentation

## ◆ RB_CONST_DEPRECATED_P

#define RB_CONST_DEPRECATED_P | ( |  | ce | ) | ((ce)->flag & CONST_DEPRECATED)

Definition at line 28 of file constant.h.

## ◆ RB_CONST_PRIVATE_P

#define RB_CONST_PRIVATE_P | ( |  | ce | ) | (((ce)->flag & CONST_VISIBILITY_MASK) == CONST_PRIVATE)

Definition at line 23 of file constant.h.

## ◆ RB_CONST_PUBLIC_P

#define RB_CONST_PUBLIC_P | ( |  | ce | ) | (((ce)->flag & CONST_VISIBILITY_MASK) == CONST_PUBLIC)

Definition at line 25 of file constant.h.

## Typedef Documentation

## ◆ rb_const_entry_t

typedef struct rb_const_entry_struct rb_const_entry_t

## Enumeration Type Documentation

## ◆ rb_const_flag_t

enum rb_const_flag_t

Enumerator
CONST_DEPRECATED |
CONST_VISIBILITY_MASK |
CONST_PUBLIC |
CONST_PRIVATE |
CONST_VISIBILITY_MAX |
CONST_DEPRECATED |
CONST_VISIBILITY_MASK |
CONST_PUBLIC |
CONST_PRIVATE |
CONST_VISIBILITY_MAX |

Definition at line 14 of file constant.h.

## Function Documentation

## ◆ rb_autoloading_value()

int rb_autoloading_value | ( | VALUE | mod,
|  | ID | id,
|  | VALUE * | value,
|  | rb_const_flag_t * | flag
| ) |  |

Definition at line 2074 of file variable.c.

## ◆ rb_const_lookup()

rb_const_entry_t* rb_const_lookup | ( | VALUE | klass,
|  | ID | id
| ) |  |

Definition at line 3341 of file variable.c.

## ◆ rb_const_source_location()

VALUE rb_const_source_location | ( | VALUE | ,
|  | ID |
| ) |  |

Definition at line 2457 of file variable.c.

## ◆ rb_const_source_location_at()

VALUE rb_const_source_location_at | ( | VALUE | ,
|  | ID |
| ) |  |

Definition at line 2463 of file variable.c.

## ◆ rb_free_const_table()

void rb_free_const_table | ( | struct rb_id_table * | tbl | ) |

Definition at line 2491 of file gc.c.

## ◆ rb_mod_deprecate_constant()

VALUE rb_mod_deprecate_constant | ( | int | argc,
|  | const VALUE * | argv,
|  | VALUE | obj
| ) |  |

Definition at line 3011 of file variable.c.

## ◆ rb_mod_private_constant()

VALUE rb_mod_private_constant | ( | int | argc,
|  | const VALUE * | argv,
|  | VALUE | obj
| ) |  |

Definition at line 2971 of file variable.c.

## ◆ rb_mod_public_constant()

VALUE rb_mod_public_constant | ( | int | argc,
|  | const VALUE * | argv,
|  | VALUE | obj
| ) |  |

Definition at line 2985 of file variable.c.

## ◆ rb_public_const_defined_from()

int rb_public_const_defined_from | ( | VALUE | klass,
|  | ID | id
| ) |  |

Definition at line 2694 of file variable.c.

## ◆ rb_public_const_get_at()

VALUE rb_public_const_get_at | ( | VALUE | klass,
|  | ID | id
| ) |  |

Definition at line 2405 of file variable.c.

## ◆ rb_public_const_get_from()

VALUE rb_public_const_get_from | ( | VALUE | klass,
|  | ID | id
| ) |  |

Definition at line 2399 of file variable.c.